Name:           kdm-theme-upo
Version:        1.1
Release:        1%{?dist}
BuildArch:      noarch
Summary:        A theme for KDM, featuring the UPO logo and lab rules.

Group:          System Environment/Base
License:        GPLv2+
URL:            http://repo.di.unipmn.it/
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
#Requires:       

%description
This is a theme for KDM, with a two column layout. On the left col there is
UPO logo at the top., the login gears and a GNU/Linux logo at the bottom,
on a black background. On the right column, on a white background, there are
the lab rules.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT

# So we keep a copy under /usr/share too? What for?
install -m 755 -d ${RPM_BUILD_ROOT}/%{_datarootdir}/kde4/apps/kdm/themes/Upo/
install -m 644 -t ${RPM_BUILD_ROOT}/%{_datarootdir}/kde4/apps/kdm/themes/Upo/ *.png upo.xml KdmGreeterTheme.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_datarootdir}/kde4/apps/kdm/themes/Upo
%{_datarootdir}/kde4/apps/kdm/themes/Upo/*

%post
if [ $1 -eq 1 ]; then
    # Configure KDM for using the UPO theme
    sed -i -e '/^Theme=/{s/.*/#&/;a\
    Theme=/usr/share/kde4/apps/kdm/themes/Upo
}' /etc/kde/kdm/kdmrc
fi

%changelog
* Thu Aug 31 2017 Bussi Andrea <bussi@mfn.unipmn.it> - 1.1-1
- New version with the two column layout, and the lab rules on the right one.

* Thu Aug 21 2014 Bussi Andrea <bussi@mfn.unipmn.it> - 1.0-1
- Initial version

